from typing import Union
from fastapi_utils.api_model import APIModel


class RdsUserModel(APIModel):
    login: str
    domain: Union[str, None] = None
    password: str


class RdsLogoutModel(APIModel):
    session_id: int


class RdsRemoteAppModel(APIModel):
    collection: str


class RemoteAppUsersModel(APIModel):
    collection: str
    app_alias: str
