from typing import Union
from fastapi_utils.api_model import APIModel


class StalUserModel(APIModel):
    login: str
    domain: Union[str, None] = None
    password: str


class StalLogoutModel(APIModel):
    session_id: int


class StalRemoteAppModel(StalUserModel):
    program: str
