import socket


def extract_ip():
    st = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    try:
        st.connect(("10.255.255.255", 1))
        ip, port = st.getsockname()
    except Exception:
        ip = "127.0.0.1"
    finally:
        st.close()
    return ip
